View Issue Details

IDProjectCategoryView StatusLast Update
0003987unrealircdpublic2015-09-04 11:33
ReporterwargAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.2.9-RC1 
Target VersionFixed in Version3.4-beta4 
Summary0003987: url.c compiler warning reported by gwz
Description<gwz> http://cvsweb.unrealircd.com/cgi-bin/cvsweb/unreal/src/Attic/url.c?annotate=1.1.2.17.2.8
<gwz> line 353, shouldnt that be curl_easy_getinfo(easyhand, CURLINFO_PRIVATE, (char**)&handle);
<@binki> probably
<gwz> yuh otherwise gives a warning during compile
<warg> gwz ftw
<@binki> remind us in a month ;-)
<warg> bug it?
<warg> i'll bug it
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-08-08 16:43

administrator   ~0018617

verify if this is still in 3.4.x.. I thinkI saw a warning once.

syzop

2015-09-04 11:33

administrator   ~0018674

Last edited: 2015-09-04 11:33

View 2 revisions

commit 67fe4479eccef8810072007a7a09c595a676897e
Author: Bram Matthys <syzop@vulnscan.org>
Date: Fri Sep 4 11:32:04 2015 +0200

    Fix (harmless) curl compile warning, reported by warg (0003987).


... oh.. reported by gwz.. ah well.... whatever.

Issue History

Date Modified Username Field Change
2010-12-25 04:31 warg New Issue
2015-08-08 16:43 syzop Note Added: 0018617
2015-09-04 11:33 syzop Note Added: 0018674
2015-09-04 11:33 syzop Status new => resolved
2015-09-04 11:33 syzop Fixed in Version => 3.4-beta4
2015-09-04 11:33 syzop Resolution open => fixed
2015-09-04 11:33 syzop Assigned To => syzop
2015-09-04 11:33 syzop Note Edited: 0018674 View Revisions